Subject: Re: What's cooking in git.git (May 2017, #01; Mon, 1)

From: Brandon Williams <[email-masked]>
Date: Mon, 1 May 2017 09:21:32 -0700

On 05/01, Ævar Arnfjörð Bjarmason wrote:
> On Mon, May 1, 2017 at 7:35 AM, Junio C Hamano <[email-masked]> wrote:
> > * ab/clone-no-tags (2017-05-01) 3 commits
> >   (merged to 'next' on 2017-04-30 at 601649896a)
> >  + tests: rename a test having to do with shallow submodules
> >  + clone: add a --no-tags option to clone without tags
> >  + tests: change "cd ... && git fetch" to "cd &&\n\tgit fetch"
> >
> >  "git clone" learned the "--no-tags" option not to fetch all tags
> >  initially, and also set up the tagopt not to follow any tags in
> >  subsequent fetches.
> >
> >  Will cook in 'next'.
> 
> Thanks for trimming off the top 2 patches. I've dropped those myself,
> if someone (Brandon || Stefan) more interested in working on
> submodules wants to pick them up that would be neat, but I don't need
> it myself & doing it differently than the existing submodule options
> would take too much of my time.

Yeah we can add it to our backlog, though I'm not sure how quickly we'll
be able to get to it.  If you end up needing this sooner just let me
know.

-- 
Brandon Williams